<?php
# This file is part of DotClear. Copyright (c) 2004 Olivier Meunier and contributors. All rights reserved. 
# DotClear is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at your option) any later version. 
# DotClear is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
# You should have received a copy of the GNU General Public License along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
?>

	<!-- article -->

<div class="post">
	
	<h2 class="post-title"><?php dcPostTitle(); ?></h2>
	<p class="post-info">Par <?php dcPostAuthor(); ?>,
		<?php dcPostDate(); ?> &agrave; <?php dcPostTime(); ?>
		<span> | </span> <a href="<?php dcPostCatURL(); ?>"><?php dcPostCatTitle(); ?></a>
		<span> | </span> <a href="<?php dcPostURL(); ?>"
		title="Lien permanent vers : <?php dcPostTitle(); ?>">#<?php dcPostID(); ?></a>
		<span> | </span> <a href="<?php dcInfo('rss'); ?>?type=co&amp;post=<?php dcPostID(); ?>"
		title="fil RSS des commentaires de : <?php dcPostTitle(); ?>">rss</a>
	</p>
		<!-- prise en charge du chapo -->
	<?php dcPostChapo('<div class="post-chapo">%s</div>'); ?>

	<div class="post-content"><?php dcPostContent(); ?></div>
	
</div>
	
	<div class="retour"><a href="<?php dcInfo('url'); ?>">&lsaquo; retour &agrave; l&rsquo;accueil</a></div>
	
	<!-- affichage des commentaires -->
	
<div id="comments">
	
	<h3 class="post-subtitle" id="co">Commentaires</h3>
	
	<?php if ($comments->isEmpty()) : /* Message si aucune commentaire */	?>
		<p>Aucun commentaire pour le moment.</p>
	<?php endif; ?>
	
	<?php while ($comments->fetch()) : /* Boucle de commentaires */
		// On met le numéro du commentaire dans une variable
		$co_num = $comments->int_index+1;
	?>
		
	<?php /* on affiche le commentaire */ ?>
		
	<div class="post-content">
		<div class="comment-line">
			<div id="c<?php dcCommentID(); ?>">
				<p class="comment-line-text"><a href="#c<?php dcCommentID(); ?>"><?php echo $co_num; ?>.</a>
					<span><?php dcCommentAuthor(); ?></span><span>&rsaquo;</span><span class="datetime"><?php dcCommentDate(); ?> &agrave;
					<?php dcCommentTime(); ?></span></p>
			</div>
		</div>
		<blockquote><?php dcCommentContent(); ?></blockquote>
	</div>
	
	<?php endwhile; ?>
	
	<div class="retour"><a href="<?php dcInfo('url'); ?>">&lsaquo; retour &agrave; l&rsquo;accueil</a></div>
	
	<!-- trackbacks -->
	
<div id="trackbacks">
	<h3 class="post-subtitle" id="tb">Trackbacks</h3>
	<?php if ($trackbacks->isEmpty()) : /* Message si aucun trackback */?>
	<p>Aucun trackback.</p>
	<?php endif; ?>
	
	<?php while ($trackbacks->fetch()) : /* Liste des trackbacks */
		// On met le numéro du trackback dans une variable
		$tb_num = $trackbacks->int_index+1;
	?>

	<div class="post-content">
		<p id="c<?php dcTBID(); ?>" class="comment-info">
			<span class="comment-number"><a href="#c<?php dcTBID(); ?>"><?php echo $tb_num; ?>.</a></span>
			Le <?php dcTBDate(); ?> &agrave;
			<?php dcTBTime(); ?>, de
			<strong><?php dcTBAuthor(); ?></strong></p>
		
		<?php /* on affiche le trackback */ ?>
		<blockquote>
			<?php dcTBContent(); ?>
		</blockquote>
	</div>
	<?php endwhile; ?>

	<div class="retour"><a href="<?php dcInfo('url'); ?>">&lsaquo; retour &agrave; l&rsquo;accueil</a></div>

	<?php /*Le lien pour ajouter un trackback si ceux-ci sont autorises*/ ?>
	<?php if (dcPostOpenTrackbacks() && dc_allow_trackbacks) : ?>
	<p>Pour faire un trackback sur ce billet&nbsp;:
		<?php echo dcPostTrackBackURI(); ?></p>
	<?php else: ?>
	<p>Les trackbacks pour ce billet sont ferm&eacute;s.</p>
	<?php endif; ?>
</div>
	
	<!-- formulaire ajouter un commentaire -->
	
<div id="form">
	<h3 class="post-subtitle">Ajouter un commentaire</h3>
	<?php if (dcPostOpenComments() && dc_allow_comments) : /* Si les commentaires sont permis */?>
	<?php if (dc_allow_comments) : /* Si les commentaires sont permis */?>
	<?php include dirname(__file__).'/form.php'; ?>
	<?php endif; ?>
	<?php else : ?>
<p>Les commentaires pour ce billet sont ferm&eacute;s.</p>
	<?php endif; ?>
</div>
</div>
