<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>" lang="<?php dcInfo('lang'); ?>">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php dcInfo('encoding'); ?>" />
	<meta name="MSSmartTagsPreventParsing" content="TRUE" />
	<?php dcHeadLinks(); ?>
	<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
	<link rel="alternate" type="application/xml" title="Atom" href="<?php dcInfo('atom'); ?>" />
	<meta name="DC.title" content="<?php dcInfo(); ?>" />
	<title><?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - '); dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?></title>
	<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
	<?php dcPostTrackbackAutoDiscovery(); ?>
        <script type="text/javascript" src="<?php dcInfo('theme'); ?>/js/jquery-1.2.3.pack.js"></script>
        <script  type="text/javascript" src="<?php dcInfo('theme'); ?>/js/jquery.curvycorners.js"></script>
        <script type="text/javascript">
          jQuery.noConflict();
          jQuery(document).ready(function() {
          jQuery("#comment-form,#sidebar ul,#sidebar dl,#content .post,#comments .post-content,#trackbacks .post-content").curvy("10px");
          });
</script>
</head>

<body>

	<div id="page">
		
		<div id="top">
			<div id="banner">
				<h1><a href="<?php dcInfo('url'); ?>"><?php dcInfo(); ?></a></h1>
			</div>
		</div>
	    	<p id="prelude"><a href="#main">Aller au contenu</a> |
			<a href="#sidebar">Aller au menu</a> |
			<a href="#search">Aller &agrave; la recherche</a></p>

		<div id="main">
		
			<div id="content">
			
			<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
				<div class="error"><strong>Erreur : </strong>
					<?php echo $err_msg; ?>
				</div>
			<?php elseif ($preview) : /* Si on demande la previsualisation d'un commentaire */?>
				<h3>Commentaire pour <?php dcPostTitle(); ?></h3>
				<div id="comment-preview">
					<blockquote><?php dcCommentPreview(); ?></blockquote>
				</div>
				<h3>Changer le commentaire</h3>
				<?php include dirname(__FILE__).'/form.php'; ?>
				<?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>
					<?php include dirname(__FILE__).'/list.php'; ?>
				<?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
					<?php include dirname(__FILE__).'/post.php'; ?>
				<?php endif; ?>
				
			</div>
			
		</div>

		<div id="sidebar">
			
			<div id="calendar">
				<h2>Calendrier</h2>
				<?php #Affichage du calendrier
				dcCalendar('<table summary="Calendrier">%s</table>'); ?>
			</div>
			
			
			<div id="search">
				<form action="<?php dcInfo('search'); ?>" method="get">
				<h2><label for="q">Rechercher</label></h2>
				<p class="field"><input name="q" id="q" type="text" size="10"
				value="<?php dcSearchString(); ?>" accesskey="4" />
				<input type="submit" class="submit" value="ok" /></p>
				</form>
			</div>

			<div id="categories">
				<h2>Cat&eacute;gories</h2>
					<?php dcCatList(); ?>
			</div>			
			
			<?php /* Affichage du bloc "selection uniquement si des billets sont presents */ ?>
			<?php dcSelection('<div id="selection"><h2>&Agrave; retenir</h2>
			  <ul>%s</ul>
			</div>'); ?>

			<?php dcLangList('<div id="languages"><h2>Langues</h2>
			  <ul>%s</ul>
			</div>'); ?>

			<div id="archives">
				<h2>Archives</h2>
					<?php dcMonthsList(); ?>
			</div>

			<div id="links">
				<h2>Liens</h2>
				<dl><?php dcBlogroll::linkList('<dt>%s</dt>','%s','<dd>%s</dd>'); ?></dl>
			</div>
			
			<div id="syndicate">
				<h2>Syndication</h2>
				<ul>
					<li><a href="<?php dcInfo('rss'); ?>"><img src="<?php dcInfo('theme'); ?>/img/rss-fil.png" alt="Syndication rss" title="Syndication rss" /></a></li>
					<li><a href="<?php dcInfo('rss'); ?>?type=co"><img src="<?php dcInfo('theme'); ?>/img/rss-com.png" alt="rss : commentaires" title="rss : commentaires" /></a></li>
					<li><a href="<?php dcInfo('atom'); ?>"><img src="<?php dcInfo('theme'); ?>/img/atom-fil.png" alt="atom" title="atom" /></a></li>
					<li><a href="<?php dcInfo('atom'); ?>?type=co"><img src="<?php dcInfo('theme'); ?>/img/atom-com.png" alt="atom : commentaires" title="atom : commentaires" /></a></li>
				</ul>
			</div>
			
			<div id="dcsign">
				<!--<h2>&Agrave; propos</h2>-->
				<p>Propuls&eacute; par <a href="http://www.dotclear.net/">DOTCLEAR</a>,<br />
					habill&eacute; par <a href="http://lomalarch.free.fr/tanablog/" onclick="window.open(this.href);return false;">Lomalarch</a> et <a href="<?php dcInfo('theme'); ?>/credits.txt">contributeurs,</a><br />
					d&rsquo;apr&egrave;s le th&egrave;me <a href="http://blog.alto-studio.fr/">Alto-studio</a><br />
					diffus&eacute; sous licence<br />
					<a rel="license" href="http://creativecommons.org/licenses/by-nc/2.0/fr/" onclick="window.open(this.href);return false;"><img alt="Creative Commons License" src="http://i.creativecommons.org/l/by-nc/2.0/fr/80x15.png" /></a>
				</p>
			</div>
			
		</div>
		<div id="footer"></div>
	</div> 
	
	<!-- end #page -->

</body>
</html>
